> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Recipient Lists

> # Description

Find all recipient list matched by filter from the data source. If withChannels query params is set to `'true'` then it will add data to each recipient:  

-`hasPhone`: Whether the recipients list has at least one phone set for its recipients.  
-`hasEmail`: Whether the recipients list has at least one email set for its recipients.  
-`recipientsCount`: Number of recipients in the list.

# Response
```json
[
  {
    "name": "recipient list name",
    "createdAt": "2020-09-24T16:51:28.936Z",
    "updatedAt": "2020-09-24T16:51:28.936Z",
    "id": "recipient list id",
    "audienceId": "audience id",
    "fileKey": "file.xlsx.csv",
    "recipientsCount": 5,
    "companyId": "company id",
    "isDeleted": true,
    "hasPhone": true,
    "hasEmail": true,
  }
]
```

where:

- `name`: Name of the recipient list.  
- `createdAt`: Creation date of the recipient list.  
- `updateAt`: Last date of update of the recipient list.  
- `id`: Recipient list id.  
- `audienceId`: Audience id of the audience the recipient list belongs to. *Optional*.  
- `fileKey`: Name of the file stored on S3 bucket. It's the file used to create the recipient list. *Optional*.  
- `recipientsCount`: Number of recipients inside the list.  
- `companyId`: Company owner of the recipient list.
- `isDeleted`: Whether the recipient list is soft deleted or not. *Optional*.
- `hasPhone`: Whether or not the recipient list has at least one recipient with phone. Only shows when query param `withChannels` is set to `'true'`. *Optional*.
- `hasEmail`: Whether or not the recipient list has at least one recipient with email. Only shows when query param `withChannels` is set to `'true'`. *Optional*.

# Description

Find all recipient list matched by filter from the data source. If withChannels query params is set to `'true'` then it will add data to each recipient:

-`hasPhone`: Whether the recipients list has at least one phone set for its recipients.\
-`hasEmail`: Whether the recipients list has at least one email set for its recipients.\
-`recipientsCount`: Number of recipients in the list.

# Response

```json theme={null}
[
  {
    "name": "recipient list name",
    "createdAt": "2020-09-24T16:51:28.936Z",
    "updatedAt": "2020-09-24T16:51:28.936Z",
    "id": "recipient list id",
    "audienceId": "audience id",
    "fileKey": "file.xlsx.csv",
    "recipientsCount": 5,
    "companyId": "company id",
    "isDeleted": true,
    "hasPhone": true,
    "hasEmail": true,
  }
]
```

where:

* `name`: Name of the recipient list.
* `createdAt`: Creation date of the recipient list.
* `updateAt`: Last date of update of the recipient list.
* `id`: Recipient list id.
* `audienceId`: Audience id of the audience the recipient list belongs to. *Optional*.
* `fileKey`: Name of the file stored on S3 bucket. It's the file used to create the recipient list. *Optional*.
* `recipientsCount`: Number of recipients inside the list.
* `companyId`: Company owner of the recipient list.
* `isDeleted`: Whether the recipient list is soft deleted or not. *Optional*.
* `hasPhone`: Whether or not the recipient list has at least one recipient with phone. Only shows when query param `withChannels` is set to `'true'`. *Optional*.
* `hasEmail`: Whether or not the recipient list has at least one recipient with email. Only shows when query param `withChannels` is set to `'true'`. *Optional*.


## OpenAPI

````yaml GET /campaigns-service/v1/recipientLists
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /campaigns-service/v1/recipientLists:
    get:
      summary: List Recipient Lists
      description: >-
        # Description


        Find all recipient list matched by filter from the data source. If
        withChannels query params is set to `'true'` then it will add data to
        each recipient:  


        -`hasPhone`: Whether the recipients list has at least one phone set for
        its recipients.  

        -`hasEmail`: Whether the recipients list has at least one email set for
        its recipients.  

        -`recipientsCount`: Number of recipients in the list.


        # Response

        ```json

        [
          {
            "name": "recipient list name",
            "createdAt": "2020-09-24T16:51:28.936Z",
            "updatedAt": "2020-09-24T16:51:28.936Z",
            "id": "recipient list id",
            "audienceId": "audience id",
            "fileKey": "file.xlsx.csv",
            "recipientsCount": 5,
            "companyId": "company id",
            "isDeleted": true,
            "hasPhone": true,
            "hasEmail": true,
          }
        ]

        ```


        where:


        - `name`: Name of the recipient list.  

        - `createdAt`: Creation date of the recipient list.  

        - `updateAt`: Last date of update of the recipient list.  

        - `id`: Recipient list id.  

        - `audienceId`: Audience id of the audience the recipient list belongs
        to. *Optional*.  

        - `fileKey`: Name of the file stored on S3 bucket. It's the file used to
        create the recipient list. *Optional*.  

        - `recipientsCount`: Number of recipients inside the list.  

        - `companyId`: Company owner of the recipient list.

        - `isDeleted`: Whether the recipient list is soft deleted or not.
        *Optional*.

        - `hasPhone`: Whether or not the recipient list has at least one
        recipient with phone. Only shows when query param `withChannels` is set
        to `'true'`. *Optional*.

        - `hasEmail`: Whether or not the recipient list has at least one
        recipient with email. Only shows when query param `withChannels` is set
        to `'true'`. *Optional*.
      operationId: list-recipient-lists-get-campaigns-service-v1-recipientlists
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://campaigns.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````